ansible-fireball_2.0.0.2-2ubuntu1.3_all.deb


Advertisement

Description

ansible-fireball - Ansible fireball transport support

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe amd64
Package filename ansible-fireball_2.0.0.2-2ubuntu1.3_all.deb
Package name ansible-fireball
Package version 2.0.0.2
Package release 2ubuntu1.3
Package architecture all
Package type deb
Category universe/admin
Homepage http://ansible.com
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 11.37 KB
Installed size 63.00 KB
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.
Ansible can optionally use a 0MQ based transport mechanism, which is
considerably faster than the standard ssh mechanism when there are
multiple actions, but requires additional supporting packages.
This package is a dependency package, which depends on ansible and Python
modules for keyczar and ZeroMQ.

Alternatives

Package Version Architecture Repository
ansible-fireball_2.0.0.2-2ubuntu1.3_all.deb 2.0.0.2 all Ubuntu Updates Universe
ansible-fireball_2.0.0.2-2_all.deb 2.0.0.2 all Ubuntu Universe
ansible-fireball_2.0.0.2-2_all.deb 2.0.0.2 all Ubuntu Universe
ansible-fireball - - -

Requires

Name Value
ansible -
python-keyczar -
python-zmq -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ansible-fireball_2.0.0.2-2ubuntu1.3_all.deb
Source Package ansible

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ansible-fireball deb package:
    # sudo apt-get install ansible-fireball

Files

Path
/usr/share/doc/ansible-fireball/changelog.Debian.gz
/usr/share/doc/ansible-fireball/copyright

Changelog

2019-07-17 - Paulo Flabiano Smorigo <pfsmorigo@canonical.com>
ansible (2.0.0.2-2ubuntu1.3) xenial-security; urgency=medium
* SECURITY REGRESSION: Fix indentation, missing dependencies, and calls.
- debian/patches/CVE-2018-10875.patch: Fix indentation and dependency.
- debian/patches/CVE-2018-16837.patch: Fix dependency.
- debian/patches/CVE-2017-7481.patch: Fix function call.
- CVE-2017-7481
- CVE-2018-10875
- CVE-2018-16837
2019-07-12 - Paulo Flabiano Smorigo <pfsmorigo@canonical.com>
ansible (2.0.0.2-2ubuntu1.2) xenial-security; urgency=medium
* SECURITY UPDATE: Fix vulnerability where a local user could use symlinks
to write arbitrary files or gain privileges.
- debian/patches/CVE-2016-3096.patch: Do not use a predictable filenames
in the LXC plugin.
- CVE-2016-3096
* SECURITY UPDATE: Avoid unicode strings injection.
- debian/patches/CVE-2017-7481.patch: Fixing security issue with lookup
returns not tainting the jinja2 environment.
- CVE-2017-7481
* SECURITY UPDATE: Fix a flaw in ansible.cfg where an attacker could point
to a plugin or a module path under control and execute arbitrary code.
- debian/patches/CVE-2018-10875.patch: Ignore ansible.cfg in world
writable cwd.
- CVE-2018-10875
* SECURITY UPDATE: Avoid information disclosure in log and command line.
- debian/patches/CVE-2018-16837.patch: user: Don't pass ssh_key_passphrase
on command line.
- CVE-2018-16837
2018-08-17 - Mike Salvatore <mike.salvatore@canonical.com>
ansible (2.0.0.2-2ubuntu1.1) xenial-security; urgency=medium
* SECURITY UPDATE: Arbitrary command execution on ansible controller
- debian/patches/CVE-2016-9587-1.patch: Fixing security bugs by sanitizing
facts
- debian/patches/CVE-2016-9587-2.patch: Additional fixes for security
- NOTE: When CVE-2016-9587 was fixed, it included commit
bcceada5d9b78ad77069c78226f8e9b336ff8949. It was found that it was still
possible to exploit the vulnerability after this commit. Commit
0d418789a298561fded9bce977d34babc9097079 reverted bcceada5 and resolved
CVE-2017-7466. By not applying commit bcceada5, CVE-2017-7466 is
resolved. See https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2017-7466
for more detail.
- CVE-2016-8628, CVE-2016-9587, CVE-2017-7466
2016-10-10 - Serge Hallyn <serge.hallyn@ubuntu.com>
ansible (2.0.0.2-2ubuntu1) xenial; urgency=medium
* Fix EEXISTS (should be EEXIST)  (LP: #1631996)
2016-02-08 - Harlan Lieberman-Berg <hlieberman@setec.io>
ansible (2.0.0.2-2) unstable; urgency=medium
* Migrate to unstable.
* Switch Vcs-git to https.
2016-01-15 - Harlan Lieberman-Berg <hlieberman@setec.io>
ansible (2.0.0.2-1) experimental; urgency=medium
* New upstream version.
2016-01-12 - Harlan Lieberman-Berg <hlieberman@setec.io>
ansible (2.0.0.1-1) experimental; urgency=medium
* New upstream version.
* Fix up d/control's spacing, ordering.
* Extensive update of d/copyright with cme.
2015-10-10 - Harlan Lieberman-Berg <hlieberman@setec.io>
ansible (1.9.4-1) unstable; urgency=medium
* New upstream version.
2015-09-03 - Harlan Lieberman-Berg <hlieberman@setec.io>
ansible (1.9.3-1) unstable; urgency=medium
* New upstream version.
2015-08-15 - Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
ansible (1.9.2+dfsg-2) unstable; urgency=low
* Fix suggestion of no-longer-built ansible-doc. (Closes: #795532)
.
Ansible used to ship their website which contained the manual for using ansible
and learning it.  They no longer ship this in released versions, thus ansible-doc
was removed.

See Also

Package Description
ansible-node-fireball_2.0.0.2-2ubuntu1.3_all.deb Ansible fireball transport support for nodes
ansible_2.0.0.2-2ubuntu1.3_all.deb Configuration management, deployment, and task execution system
ant-doc_1.9.6-1ubuntu1.1_all.deb Java based build tool like make - API documentation and manual
ant-gcj_1.9.6-1ubuntu1.1_amd64.deb Java based build tool like make (GCJ)
ant-optional-gcj_1.9.6-1ubuntu1.1_amd64.deb Java based build tool like make - optional libraries (GCJ)
ant-optional_1.9.6-1ubuntu1.1_all.deb Java based build tool like make - optional libraries
ant_1.9.6-1ubuntu1.1_all.deb Java based build tool like make
aodh-api_2.0.6-0ubuntu1_all.deb OpenStack Telemetry (Ceilometer) Alarming - API server
aodh-common_2.0.6-0ubuntu1_all.deb OpenStack Telemetry (Ceilometer) Alarming - common files
aodh-doc_2.0.6-0ubuntu1_all.deb OpenStack efficient metering counters system - doc
aodh-evaluator_2.0.6-0ubuntu1_all.deb OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
aodh-expirer_2.0.6-0ubuntu1_all.deb OpenStack Telemetry (Ceilometer) Alarming - expirer
aodh-listener_2.0.6-0ubuntu1_all.deb OpenStack Telemetry (Ceilometer) Alarming - listener
aodh-notifier_2.0.6-0ubuntu1_all.deb OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
apache2-suexec-custom_2.4.18-2ubuntu3.14_amd64.deb Apache HTTP Server configurable suexec program for mod_suexec
Advertisement
Advertisement